aboutsummaryrefslogtreecommitdiff
path: root/luks_test.sh
diff options
context:
space:
mode:
authortoni <matzeton@googlemail.com>2016-07-04 15:26:25 +0200
committertoni <matzeton@googlemail.com>2016-07-04 15:26:25 +0200
commitbc30ed7f5624f7d5ccc1e9937ed7bcb7faae9892 (patch)
treeb452a1b7c63f38b82ac1e8dfb8857b993460f82e /luks_test.sh
parent7824c509b894319d8e92336621656c0d0696f276 (diff)
luks test script, fixed process/thread sync bug
Diffstat (limited to 'luks_test.sh')
-rwxr-xr-xluks_test.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/luks_test.sh b/luks_test.sh
new file mode 100755
index 0000000..ebe622c
--- /dev/null
+++ b/luks_test.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+set -e
+
+
+if [ "x$1" = "x" ] || [ "x$2" = "x" ]; then
+ echo "$0: [FILE] [NAME]"
+ exit 1
+fi
+FILE=$1
+NAME=$2
+
+if [ ! -w ${FILE} ]; then
+ dd if=/dev/zero of=${FILE} bs=1M count=10
+ /sbin/cryptsetup luksFormat ${FILE}
+fi
+
+sudo src/naskpass -l -f ./testfifo -c "/sbin/cryptsetup open ${FILE} ${NAME}"
+
+set +e
+sudo /sbin/cryptsetup status ${NAME}
+ret=$?
+set -e
+
+if [ $ret -eq 0 ]; then
+ sudo /sbin/cryptsetup close ${NAME}
+ /bin/echo -e "\n$0: close'd"
+fi